
/**
 * La classe Pile définit une pile d'entiers.
 *
 * @author Philippe
 * @version 1
 */
public class Pile
{
    private int contenu[];
    private int nbElem;

    /**
     * Constructeur d'une Pile
     * 
     * @param taille le nombre maximum d'éléments de la pile
     */
    public Pile(int taille)
    {
        contenu = new int[taille];
        nbElem = 0;
    }

    /**
     * ajoute un entier au sommet de la pile
     *
     * @param  valeur l'entier à ajouter à la pile
     */
    public void ajouter(int valeur)
    {
        contenu[nbElem++] = valeur;
        //++nbElem; //nbElem++; //nbElem += 1; //nbElem = nbElem + 1;
    }
    
    /**
     * retirer l'entier au sommet de la pile
     */
    public void retirer() {
        nbElem--;
    }
    
    /**
     * renvoie la valeur entière au sommet de la pile
     * 
     * @return la valeur du sommet
     */
    public int sommet() {
        return contenu[nbElem - 1];
    }
    
    /**
     * indique si la pile est vide
     * 
     * @return vrai si la pile est vide, faux dans le cas contraire
     */
    public boolean estVide() {
        return nbElem == 0;
    }
    
    /**
     * indique la pile est pleine
     * 
     * @return vrai si la pile est pleine, faux dans le cas contraire
     */
    public boolean estPleine() {
        return nbElem == contenu.length;
    }
}
